gdcm::VL Class Reference

Value Length. More...

`#include <gdcmVL.h>`

## Public Types

typedef uint32_t | Type

## Public Member Functions

| VL (uint32_t vl=0)
VL | GetLength () const
bool | IsOdd () const
| Return whether or not the VL is odd or not.
bool | IsUndefined () const
| operator uint32_t () const
VL & | operator++ ()
VL | operator++ (int)
VL & | operator+= (VL const &vl)
| += operator
template<typename TSwap>
std::istream & | Read (std::istream &is)
template<typename TSwap>
std::istream & | Read16 (std::istream &is)
void | SetToUndefined ()
template<typename TSwap>
const std::ostream & | Write (std::ostream &os) const
template<typename TSwap>
const std::ostream & | Write16 (std::ostream &os) const

## Static Public Member Functions

static uint16_t | GetVL16Max ()
static uint32_t | GetVL32Max ()

## Friends

std::ostream & | operator<< (std::ostream &os, const VL &vl)

## Detailed Description

Value Length.

Warning
  this is a 4bytes value ! Do not try to use it for 2bytes value length

Examples
  BasicImageAnonymizer.cs, DecompressImage.cs, ReadAndDumpDICOMDIR2.cxx, and rle2img.cxx.

## Member Typedef Documentation

## Type

typedef uint32_t gdcm::VL::Type

## Constructor & Destructor Documentation

## VL()

gdcm::VL::VL | ( | uint32_t | vl = 0 | ) |

inline

Referenced by GetLength(), operator++(), operator++(), operator+=(), and operator<<.

## Member Function Documentation

## GetLength()

VL gdcm::VL::GetLength | ( |  | ) | const

inline

Examples
  ReadAndDumpDICOMDIR2.cxx.

References VL().

Referenced by gdcm::FileMetaInformation::GetFullLength(), and gdcm::Item::Write().

## GetVL16Max()

uint16_t gdcm::VL::GetVL16Max | ( |  | ) |

inline static

## GetVL32Max()

uint32_t gdcm::VL::GetVL32Max | ( |  | ) |

inline static

## IsOdd()

bool gdcm::VL::IsOdd | ( |  | ) | const

inline

Return whether or not the VL is odd or not.

References IsUndefined().

Referenced by Write(), and Write16().

## IsUndefined()

bool gdcm::VL::IsUndefined | ( |  | ) | const

inline

Referenced by IsOdd().

## operator uint32_t()

gdcm::VL::operator uint32_t | ( |  | ) | const

inline

## operator++() [1/2]

VL & gdcm::VL::operator++ | ( |  | ) |

inline

References VL().

## operator++() [2/2]

VL gdcm::VL::operator++ | ( | int |  | ) |

inline

References VL().

## operator+=()

VL & gdcm::VL::operator+= | ( | VL const & | vl | ) |

inline

+= operator

References VL().

## Read()

template<typename TSwap>

std::istream & gdcm::VL::Read | ( | std::istream & | is | ) |

inline

## Read16()

template<typename TSwap>

std::istream & gdcm::VL::Read16 | ( | std::istream & | is | ) |

inline

## SetToUndefined()

void gdcm::VL::SetToUndefined | ( |  | ) |

inline

## Write()

template<typename TSwap>

const std::ostream & gdcm::VL::Write | ( | std::ostream & | os | ) | const

inline

References IsOdd().

Referenced by gdcm::Fragment::Write(), gdcm::Item::Write(), gdcm::SequenceOfFragments::Write(), and gdcm::SequenceOfItems::Write().

## Write16()

template<typename TSwap>

const std::ostream & gdcm::VL::Write16 | ( | std::ostream & | os | ) | const

inline

References IsOdd().

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | os,
|  | const VL & | vl )

friend

References VL().

The documentation for this class was generated from the following file:

- gdcmVL.h